#ifndef DIALOGNEWVERSION_H
#define DIALOGNEWVERSION_H

#include <QWidget>
#include <QLineEdit>
#include <QToolTip>

#include "versionselectwidget.h"

namespace Ui {
class DialogNewVersion;
}

class VersionSelectWidget;

class DialogNewVersion : public QDialog
{
    Q_OBJECT

public:
    explicit DialogNewVersion(QWidget *parent = nullptr);
    ~DialogNewVersion();

public:
    void initialize(VersionSelectWidget *versionSelectWidget, QString prevName);

private slots:
    void on_createButton_clicked();
    void on_cancelButton_clicked();
    void on_lineEdit_inputRejected();

private:
    Ui::DialogNewVersion *ui;
    VersionSelectWidget *versionSelectWidget;
    QRegExpValidator *validator;
};

#endif // DIALOGNEWVERSION_H


